#include <iostream>
using namespace std;

int main()
{

    ios_base::sync_with_stdio(false);
    cin.tie(0);
    int N,M,rez=0;
    cin >> N >> M;
    int vage[N][2],pita[M][3];
    for(int i=0; i<N; i++)
    {
        cin >> vage[i][0]; // d
        cin >> vage[i][1]; // u
    }
    for(int i=0; i<M; i++)
    {
        cin >> pita[i][0]; // l
        cin >> pita[i][1]; // r
        cin >> pita[i][2]; // x
    }
    for(int i=0; i<M; i++)
    {
        for(int j=pita[i][0]; j<=pita[i][1]; j++)
            if(vage[j-1][0]<=pita[i][2] && vage[j-1][1]>=pita[i][2])
                rez++;
        cout << rez << endl;
        rez=0;
    }

    return 0;
}